Subject: Ticket Assigned - Order no. ‪7404338470‬ I'm very upset and concerned about my newborns' health after what I saw on the wood, yes it is MOLD!! How come a big company like yours sells items like this, which maybe went through bad storage which resulted in MOLD created IN MY
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 24 Feb 2021 16:26:56 +0000 (UTC)

Hi Mohammad Humayun,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order no. ‪7404338470‬ I'm very upset and concerned about my newborns' health after what I saw on the wood, yes it is MOLD!! How come a big company like yours sells items like this, which maybe went through bad storage which resulted in MOLD created IN MY  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2115491